#
# spec file for package arbtt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           arbtt
Version:        0.9.0.13
Release:        8.30
Summary:        Automatic Rule-Based Time Tracker
License:        GPL-1.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-progress-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pcre-light-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-strict-devel
BuildRequires:  ghc-terminal-progress-bar-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  libXss-devel
%if %{with tests}
BuildRequires:  ghc-process-extras-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
Arbtt is a background daemon that stores which windows are open, which one has
the focus and how long since your last action (and possbly more sources later),
and stores this. It is also a program that will, based on expressive rules you
specify, derive what you were doing, and what for.

The documentation, which includes the changelog, can also be found at
<http://arbtt.nomeata.de/doc/users_guide/>.

WARNING: The log file might contain very sensitive private data. Make sure you
understand the consequences of a full-time logger and be careful with this
data.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%check
%cabal_test

%files
%doc LICENSE
%doc README.md doc
%{_bindir}/arbtt-capture
%{_bindir}/arbtt-dump
%{_bindir}/arbtt-import
%{_bindir}/arbtt-recover
%{_bindir}/arbtt-stats

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.9.0.13 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 0.9.0.12 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.9.0.11 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 0.9.0.10 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.9.0.9 revision 0 with cabal2obs.
